For the complete documentation index, see llms.txt. This page is also available as Markdown.

Receipts report for stores

Generate a report of all receipts in a given period.

Required permissions: REPORTING

post
/tenants/{tenantUid}/reports/receipts
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
storeUidsstring[]Optional
Responses
200

The response will be a Excel file.

application/octet-stream
string · binaryOptional
post/tenants/{tenantUid}/reports/receipts
POST /v2/tenants/{tenantUid}/reports/receipts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "storeUids": [
    "text"
  ],
  "settledAt": {
    "from": "2026-01-01T00:00:00.000Z",
    "to": "2026-01-01T00:00:00.000Z"
  }
}
200

The response will be a Excel file.

binary

Last updated

Was this helpful?